AC_DEFUN([DUNE_GLU_PATH],[
  AC_PREREQ([2.5.0])
  AC_LANG_PUSH([C++])

  HAVE_GLU="no"
  GLU_SUMMARY="no"

  ac_save_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
  AC_MSG_CHECKING([for GLU])
  AS_IF([PKG_CONFIG_PATH=$PKG_CONFIG_PATH pkg-config --exists glu],[
    HAVE_GLU="yes"
    GLU_VERSION="`PKG_CONFIG_PATH=$PKG_CONFIG_PATH pkg-config --modversion glu`"
    GLU_CPPFLAGS="`PKG_CONFIG_PATH=$PKG_CONFIG_PATH pkg-config --cflags glu` -DENABLE_GLU=1"
    GLU_LIBS="`PKG_CONFIG_PATH=$PKG_CONFIG_PATH pkg-config --libs glu`"
  ])
  AC_MSG_RESULT([$HAVE_GLU])
  PKG_CONFIG_PATH="$ac_save_PKG_CONFIG_PATH"

  AS_IF([test "$HAVE_GLU" != "no"],[
    AC_DEFINE([HAVE_GLU], [ENABLE_GLU], [Was GLU found and GLU_CPPFLAGS used?])
    AC_SUBST([GLU_CPPFLAGS])
    AC_SUBST([GLU_LIBS])
    DUNE_PKG_CPPFLAGS="$DUNE_PKG_CPPFLAGS $GLU_CPPFLAGS"
    DUNE_PKG_LIBS="$DUNE_PKG_LIBS $GLU_LIBS"
    GLU_SUMMARY="version $GLU_VERSION"
  ])
  AM_CONDITIONAL([GLU], [test "$HAVE_GLU" != "no"])

  DUNE_ADD_SUMMARY_ENTRY([GLU], [$GLU_SUMMARY])

  AC_LANG_POP()
])
